<?php
require('../fpdf.php');
include ("../../Conexion.php");

$UsuEn=$_POST['USUkp'] or $UsuEn=$_GET['USUkp'];
$UsuAImp=strtoupper($_POST['USUkp']) or $UsuAImp=strtoupper($_GET['USUkp']);
$EtiqMastEn=$_POST['NoEtiMast'] or $EtiqMastEn=$_GET['NoEtiMast'];

if ($UsuEn=="")
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RedireccionDeCierre.php' target='_parent'>";
		}

/////////IDENTIFICAR DATOS DE NIVEL///////
		$sql = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
						
	if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CNiv=$registro["NIVEL"];
		}
			
	if ($CNiv<>"01" and $CNiv<>"02" and $CNiv<>"04" and $CNiv<>"05")
		{
		echo "<script>alert('No estas autorizado para acceder a este módulo del WMS');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RedireccionDeCierre.php'>";
		}

class MiPDF extends FPDF {

		public function Header(){
		
		
			$this -> Image ("../../../WMS_Resources/Imagenes/Logo_Rectangu_Transp.png" , 10 , 10 , 30 ,15);
			$this -> SetFont ( 'Arial' , 'B', '12');
			$this -> Cell ( 180, 10 , '|| Packing List - Etiqueta Master ||' , 0 , 0 , 'C');
			$this -> Ln ( 2 );
			$this -> SetFont ( 'Arial' , 'I', '10');
			$this -> Cell ( 180, 20 , 'www.logsyswms.com' , 0 , 0 , 'C');
			$this -> Ln ( 4 );
			$this -> SetTextColor (0 , 136 , 29);
			$this -> SetFont ( 'Arial' , '', '10');
			$this -> Cell ( 180, 20 , '_______________________________________________________________________________________________' , 0 , 0 , 'C');
			$this -> Ln ( 3 );
			$this -> SetFont ( 'Arial' , '', '10');
			$this -> Cell ( 180, 20 , '_____________________________________________' , 0 , 0 , 'C');
			$this -> Ln ( 20 );
		}
		
	    function Footer(){
    		// Posición: a 2,0 cm del final
    		$this->SetY(-20);
    		// Arial italic 8
    		$this->SetFont('Arial','I',8);
    		// Número de página
    		$this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
		}
}

	$mipdf = new MiPDF();

	$mipdf -> AliasNbPages();
	$mipdf -> addPage();
	
//////////////////////////////////CONSULTAR LA TABLA DEL CONTRATANTE////////////////////////////////////////////
		$sql = mysql_query("select * from tabla_contratante");
						
	if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CNomContra=$registro["NOMBRE_FISCAL"];
		$CNomCuenta=$registro["CUENTA"];
		}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////INFORMACIÓN PRINCIPAL////////////////////////////////////////////////////////////////

	/////////Identificar los datos de la etiqueta master
		$sqlIEM = mysql_query("select * from tabla_etimaster where NO_ETIQUETA='$EtiqMastEn'");
		if (mysql_numrows($sqlIEM)==0){ echo "";}
		else
		{
		$registroIEM=mysql_fetch_array($sqlIEM);
		}
		if (mysql_numrows($sqlIEM)>0)
		{ ////Inicia if para mostrar todos los registros
			$DocuIEM=$registroIEM["DOCU_ASOCIADO"];	
			
			/////////Identificar el Destino/Cliente a donde se dirige el pedido
			$sqlIPC = mysql_query("select * from tabla_docsurtido where NO_DOCUMENTO='$DocuIEM'");
			if (mysql_numrows($sqlIPC)==0) echo "";
			else{
			$registroIPC=mysql_fetch_array($sqlIPC);
			}
			if (mysql_numrows($sqlIPC)>0)
			{
			$CveCliIPC=$registroIPC["DESTINO"];
			}
			
			/////////Identificar el Destino/Cliente por nombre a donde se dirige el pedido
			$sqlIPC2 = mysql_query("select * from tabla_destinosclientes where CVE_DESTINO='$CveCliIPC'");
			if (mysql_numrows($sqlIPC2)==0) echo "";
			else{
			$registroIPC2=mysql_fetch_array($sqlIPC2);
			}
			if (mysql_numrows($sqlIPC2)>0)
			{
			$NomCliIPC2=$registroIPC2["NOMBRE"];
			}
			
			/////////Identificar el Total de piezas por surtir en el detalle del documento surtido////
			$sqlSUMA2 = "SELECT SUM(CANT_X_SURTIR) as ObtCant2 FROM tabla_detalledocsur WHERE NO_DOCUMENTO='$DocuIEM' ORDER BY ID ASC";
			$resSUMA2 = mysql_query($sqlSUMA2); 
			$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
			$TotPiSurti2 =  $PrePiezas2 ['ObtCant2'];
			
			/////////Identificar el Total de piezas surtidas por Etiqueta Master////
			$sqlS3 = "SELECT SUM(CANT_SURTIDA) as ObtCantS3 FROM tabla_tareas WHERE NO_DOCUMENTO='$DocuIEM' AND ETIQUETA_MASTER='$EtiqMastEn' ORDER BY ID ASC";
			$resS3 = mysql_query($sqlS3); 
			$PrePiezasS3 = mysql_fetch_assoc($resS3);
			$TotPiSurtiS3 =  $PrePiezasS3 ['ObtCantS3'];
			
		} ////Termina if para mostrar todos los registros
	
	$CInfPrin_Contra = "P. LOGISTICO:";
	$CInfPrin_Cuen = "CUENTA:";
	$CInfPrin_Doc = "DOCUMENTO:";
	$CInfPrin_EMa = "ETIQUETA MASTER:";
	$CInfPrin_Desti = "DESTINO:";
	$CInfPrin_NDesti = "";
	$CInfPrin_Fecha = "FECHA:";
	$CInfPrin_Usu = "USUARIO:";
	
	
	$mipdf -> SetFont ( 'Courier' , '', '8');
	$mipdf -> SetTextColor (255 , 255 , 255);
	$mipdf -> SetFillColor ( 76 , 100 , 191 );
	$mipdf -> Cell ( 30 , 3 , $CInfPrin_Cuen, 1 , 0 , 'L' , true );
	$mipdf -> SetTextColor (0 , 0 , 0);
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CNomCuenta, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (255 , 255 , 255);
	$mipdf -> SetFillColor ( 76 , 100 , 191 );
	$mipdf -> Cell ( 30 , 3 , $CInfPrin_Doc, 1 , 0 , 'L' , true );
	$mipdf -> SetTextColor (0 , 0 , 0);
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $DocuIEM, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
		$mipdf -> SetTextColor (255 , 255 , 255);
	$mipdf -> SetFillColor ( 76 , 100 , 191 );
	$mipdf -> Cell ( 30 , 3 , $CInfPrin_EMa, 1 , 0 , 'L' , true );
	$mipdf -> SetTextColor (0 , 0 , 0);
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $EtiqMastEn, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (255 , 255 , 255);
	$mipdf -> SetFillColor ( 76 , 100 , 191 );
	$mipdf -> Cell ( 30 , 3 , $CInfPrin_Desti, 1 , 0 , 'L' , true );
	$mipdf -> SetTextColor (0 , 0 , 0);
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CveCliIPC, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetTextColor (255 , 255 , 255);
	$mipdf -> SetFillColor ( 76 , 100 , 191 );
	$mipdf -> Cell ( 30 , 3 , $CInfPrin_NDesti, 1 , 0 , 'L' , true );
	$mipdf -> SetTextColor (0 , 0 , 0);
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $NomCliIPC2, 1 , 0 , 'L' , true );

	
//////////////////////////FIN INFORMACIÓN PRINCIPAL///////////////////////////////////////////////////////////	

	$cabeceraID = "ID";
	$cabeceraSKU = "SKU";
	$cabeceraSKUALT = "SKUALT";
	$cabeceraDESC = "DESCRIPCIÓN";
	$cabeceraLOT = "LOTE";
	$cabeceraCAN = "CANTIDAD";
	$cabeceraPOR = "% DEL PEDIDO";

	$mipdf -> Ln ( 10 );
	$mipdf -> SetFont ( 'Courier' , '', '6');
	$mipdf -> SetTextColor (255 , 255 , 255);
	$mipdf -> SetFillColor ( 76 , 100 , 191 );

	$mipdf -> Cell ( 9 , 3 , $cabeceraID, 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 20 , 3 , $cabeceraSKU, 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 26 , 3 , $cabeceraSKUALT, 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 80 , 3 , $cabeceraDESC, 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 23 , 3 , $cabeceraLOT, 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , $cabeceraCAN, 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 19 , 3 , $cabeceraPOR, 1 , 0 , 'C' , true );
	
	$mipdf -> Ln ( 3 );
	
$consulta = mysql_query ("SELECT  * from temporal_tareas WHERE ETIQUETA_MASTER='$EtiqMastEn' AND CANT_SURTIDA<>'0' ORDER BY SKU  ASC");

$ID = "0";
$TotxPL="0";
while ($datos = mysql_fetch_array($consulta))
{
	$ID = $ID + 1;
	$SKU = $datos [ 'SKU' ];
	$LOT = $datos [ 'LOTE' ];
	$CSURTIDA = $datos [ 'CANT_SURTIDA' ];
	
	/////////Identificar La descripcion del producto por medio de su Sku
			$sqlIDP = mysql_query("select * from tabla_altaproducto where SKU='$SKU'");
			if (mysql_numrows($sqlIDP)==0) echo "";
			else{
			$registroIDP=mysql_fetch_array($sqlIDP);
			}
			if (mysql_numrows($sqlIDP)>0)
			{
			$SkuAltIDP=$registroIDP["SKU_ALT"];
			$DescIDP=$registroIDP["DESCRIPCION"];
			}

			///////Calculando el porcentaje por linea
			$PorceXLin = $CSURTIDA * 100 / $TotPiSurti2;
			$PorceXLinRed = round($PorceXLin, 2);
			
			$TotxPL = $TotxPL + $PorceXLinRed;
	
	$mipdf -> SetFont ( 'Courier' , '', '7');
	$mipdf -> SetTextColor (0 , 0 , 0 );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	
	$mipdf -> Cell ( 9 , 3 , $ID , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 20 , 3 , $SKU , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 26 , 3 , $SkuAltIDP , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 80 , 3 , $DescIDP , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 23 , 3 , $LOT , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 3 , $CSURTIDA , 1 , 0 , 'R' , true );
	$mipdf -> Cell ( 19 , 3 , $PorceXLinRed.'%' , 1 , 0 , 'R' , true );
	$mipdf -> Ln ( 3 );
}
		/////////////////////CONSULTA PARA SUMAR EL TOTAL DE PIEZAS POR RECIBIR/////////////////////////////////////////////////////
		$sqlSUMA = "SELECT SUM(CANT_SURTIDA) as ObtCant FROM tabla_tareas where NO_DOCUMENTO='$NoDocSEn'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotPiezas = "T:". $PrePiezas ['ObtCant']; 


	$mipdf -> Ln ( 0 );
	$mipdf -> SetFont ( 'Courier' , 'B', '8');
	$mipdf -> SetFillColor ( 208 , 72 , 69 );
	$mipdf -> SetTextColor (255 , 255 , 255);
	$TDC= "T.Reg: ".$ID;
	$mipdf -> Cell ( 9 , 3 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 20 , 3 , $TDC, 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 26 , 3 , '', 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 80 , 3 , '' , 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 23 , 3 , '' , 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 3 , 'T:'.$TotPiSurtiS3 , 0 , 0 , 'R' , true );
	$mipdf -> Cell ( 19 , 3 , 'T: '.$TotxPL.'%' , 0 , 0 , 'R' , true );



//////////////////////IMPRIME EL AREA DE FIRMAS///////////////////////////////////////////////////////////////////////////
	$mipdf -> Ln ( 20 );
	$mipdf -> SetFont ( 'Courier' , 'B', '8');
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> SetTextColor (0 , 0 , 0);
	$mipdf -> Cell ( 47 , 3 , 'REVISA' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 47 , 3 , 'AUTORIZA', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 47 , 3 , 'CIERRA/SELLA' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 47 , 3 , 'http://logsyswms.com' , 1 , 0 , 'R' , true );
	
	$mipdf -> SetTextColor (0 , 0 , 0);
	
$mipdf -> Output();

?>
